using System;

namespace Namestanje_glasanja
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] NQ=Console.ReadLine().Split();
            string[] A = Console.ReadLine().Split();
            string[] B = Console.ReadLine().Split();
            int N = int.Parse(NQ[0]);
            int Q = int.Parse(NQ[1]);
            
            int medijana=(A.Length/2);  
            Array.Sort(A);
            for (int i = 0; i < Q; i++)
            {
                if (B[i] == A[medijana]) Console.WriteLine("0");
                else
                {
                    for (int j = 0; j < N-1; j++)
                    {
                        if (int.Parse(B[i]) >= int.Parse(A[j]) && int.Parse(B[i]) < int.Parse(A[j + 1])) Console.WriteLine(Math.Abs(medijana - j));
                    }
                    if (int.Parse(B[i]) < int.Parse(A[0]) || int.Parse(B[i]) > int.Parse(A[N - 1])) Console.WriteLine(N);
                }
            }
            
        }
    }
}